

Procedure LoadInGameSprites();
  LoadPlayerSprites();
  LoadHUDSprites();
EndProcedure;

Procedure DisplayInGameSprites();
  ClearScreen(GInfo\lbgcol);
  DisplayLevelBG();
  DisplayObjects();
  DisplayPlayerSprites();
  DisplayLevelFG();
  DisplayHUD();
EndProcedure;

Procedure LoadInGameVariables();
  If OpenPreferences("Files\"+GInfo\sUsername+"\gameinfo.prefs");
    GInfo\lanim=0;
    PreferenceGroup("Level");
      GInfo\sLevel=ReadPreferenceString("Default","Links House");
    PreferenceGroup("Player");
      GInfo\pdir=ReadPreferenceLong("Direction",3);
      GInfo\lHeartsGot=ReadPreferenceLong("Hearts",2);
      GInfo\lHeartHealth=ReadPreferenceLong("Health",12);
      GInfo\lHealthMax = (GInfo\lHeartsGot+1)*4;#
      GInfo\lMagicQty=ReadPreferenceLong("Magic",12);
      GInfo\lRupeeQty=ReadPreferenceLong("Rupees",0);
      GInfo\lGotSword=ReadPreferenceLong("Got Sword",0);
      GInfo\lSwordAway=1
      GInfo\lMenuTimer=0;
      GInfo\lMenuOpen=0;
      GInfo\lMenuOption=0;
      GInfo\lItemSet=ReadPreferenceLong("Item Loaded",0);
      GInfo\lGotBoomerang=ReadPreferenceLong("Got Boomerang",0);
      GInfo\lGotLense=ReadPreferenceLong("Got Lense",0);
      GInfo\lGotShield=ReadPreferenceLong("Got Shield",0);
      GInfo\lGotHBoots=ReadPreferenceLong("Got Boots",0);
      GInfo\lGotBow=ReadPreferenceLong("Got Bow",0);
      GInfo\lGotBombs=ReadPreferenceLong("Got Bombs",0);
    ClosePreferences();
    LoadObjects(GInfo\sLevel);
  EndIf;
EndProcedure;

Procedure InGameKeyboardInput();
  PlayerWalking();
  MenuKeyboardInput();
EndProcedure;
; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 5
; Folding = 6
; UseMainFile = game.pb
; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 41
; FirstLine = 8
; Folding = -
; UseMainFile = game.pb