
Procedure LoadMenuSprites();
  LoadSprite(#sprHUDitemhold,"Sprites\HUD\itemholder.png") : TransparentSpriteColor(#sprHUDitemhold,RGB(255,0,255));
  LoadSprite(#sprMenuSword,"Sprites\HUD\sword.png") : TransparentSpriteColor(#sprMenuSword,RGB(255,0,255));
  LoadSprite(#sprMenuSwordAway,"Sprites\HUD\swordaway.png") : TransparentSpriteColor(#sprMenuSwordAway,RGB(255,0,255));
  LoadSprite(#sprMenuBoomerang,"Sprites\HUD\boomerang.png") : TransparentSpriteColor(#sprMenuBoomerang,RGB(255,0,255));
  LoadSprite(#sprMenuLense,"Sprites\HUD\lense.png") : TransparentSpriteColor(#sprMenuLense,RGB(255,0,255));
  LoadSprite(#sprMenuShield,"Sprites\HUD\shield.png") : TransparentSpriteColor(#sprMenuShield,RGB(255,0,255));
  LoadSprite(#sprMenuBoots,"Sprites\HUD\hoverboots.png") : TransparentSpriteColor(#sprMenuBoots,RGB(255,0,255));
  LoadSprite(#sprMenuBow,"Sprites\HUD\bow.png") : TransparentSpriteColor(#sprMenuBow,RGB(255,0,255));
  LoadSprite(#sprMenuBomb,"Sprites\HUD\bomb.png") : TransparentSpriteColor(#sprMenuBomb,RGB(255,0,255));
  
  LoadSprite(#sprMainMenu,"Sprites\HUD\mainmenu.png") : TransparentSpriteColor(#sprMainMenu,RGB(255,0,255));
  LoadSprite(#sprMenuSel1,"Sprites\HUD\menusel1.png") : TransparentSpriteColor(#sprMenuSel1,RGB(255,0,255));
  LoadSprite(#sprMenuSel2,"Sprites\HUD\menusel2.png") : TransparentSpriteColor(#sprMenuSel2,RGB(255,0,255));
  
EndProcedure;

Procedure DisplayMenuSprites();
  DisplayHUDItems();
     
  If GInfo\lMenuOpen=1;
    DisplayTransparentSprite(#sprMainMenu,62,56);
    DisplayMenuItems();
    DisplayMenuSelector();
  EndIf;
EndProcedure;

Procedure DisplayHUDItems();
  DisplayTransparentSprite(#sprHUDitemhold,284,10);
  If GInfo\lGotSword=1;
    If GInfo\lSwordAway=0;
      DisplayTransparentSprite(#sprMenuSword,290,32);
    Else;
      DisplayTransparentSprite(#sprMenuSwordAway,290,32);
    EndIf;
  EndIf;
  If GInfo\lItemSet=1;
    DisplayTransparentSprite(#sprMenuBoomerang,328,15);
  ElseIf GInfo\lItemSet=2;
    DisplayTransparentSprite(#sprMenuLense,328,15);
  ElseIf GInfo\lItemSet=3;
    DisplayTransparentSprite(#sprMenuShield,327,15);
  ElseIf GInfo\lItemSet=4;
    DisplayTransparentSprite(#sprMenuBoots,326,14);
  ElseIf GInfo\lItemSet=5;
    DisplayTransparentSprite(#sprMenuBow,326,13);
  ElseIf GInfo\lItemSet=6;
    DisplayTransparentSprite(#sprMenuBomb,326,14);
  EndIf;
EndProcedure;

Procedure DisplayMenuItems();
  If GInfo\lGotBoomerang=1;
    DisplayTransparentSprite(#sprMenuBoomerang,235,96);
    If GInfo\lMenuOption=1;
      StartDrawing(ScreenOutput());
        DrawingFont(FontID(0));
        DrawingMode(#PB_2DDrawing_Transparent);
        DrawText(146,207,"The Boomerang",RGB(56,40,56));
        DrawText(148,207,"The Boomerang",RGB(56,40,56));
        DrawText(146,209,"The Boomerang",RGB(56,40,56));
        DrawText(148,209,"The Boomerang",RGB(56,40,56));
        DrawText(147,208,"The Boomerang",RGB(255,255,255));
      StopDrawing();
    EndIf;
  EndIf;
  If GInfo\lGotLense=1;
    DisplayTransparentSprite(#sprMenuLense,266,113);
    If GInfo\lMenuOption=2;
      StartDrawing(ScreenOutput());
        DrawingFont(FontID(0));
        DrawingMode(#PB_2DDrawing_Transparent);
        DrawText(140,207,"The Lense of Truth",RGB(56,40,56));
        DrawText(142,207,"The Lense of Truth",RGB(56,40,56));
        DrawText(140,209,"The Lense of Truth",RGB(56,40,56));
        DrawText(142,209,"The Lense of Truth",RGB(56,40,56));
        DrawText(141,208,"The Lense of Truth",RGB(255,255,255));
      StopDrawing();
    EndIf;
  EndIf;
  If GInfo\lGotShield=1;
    DisplayTransparentSprite(#sprMenuShield,266,149);
    If GInfo\lMenuOption=3;
      StartDrawing(ScreenOutput());
        DrawingFont(FontID(0));
        DrawingMode(#PB_2DDrawing_Transparent);
        DrawText(150,207,"Hyrulian Shield",RGB(56,40,56));
        DrawText(152,207,"Hyrulian Shield",RGB(56,40,56));
        DrawText(150,209,"Hyrulian Shield",RGB(56,40,56));
        DrawText(152,209,"Hyrulian Shield",RGB(56,40,56));
        DrawText(151,208,"Hyrulian Shield",RGB(255,255,255));
      StopDrawing();
    EndIf;
  EndIf;
  If GInfo\lGotHBoots=1;
    DisplayTransparentSprite(#sprMenuBoots,234,165);
    If GInfo\lMenuOption=4;
      StartDrawing(ScreenOutput());
        DrawingFont(FontID(0));
        DrawingMode(#PB_2DDrawing_Transparent);
        DrawText(156,207,"Hover Boots",RGB(56,40,56));
        DrawText(158,207,"Hover Boots",RGB(56,40,56));
        DrawText(156,209,"Hover Boots",RGB(56,40,56));
        DrawText(158,209,"Hover Boots",RGB(56,40,56));
        DrawText(157,208,"Hover Boots",RGB(255,255,255));
      StopDrawing();
    EndIf;
  EndIf;
  If GInfo\lGotBow=1;
    DisplayTransparentSprite(#sprMenuBow,202,147);
    If GInfo\lMenuOption=5;
      StartDrawing(ScreenOutput());
        DrawingFont(FontID(0));
        DrawingMode(#PB_2DDrawing_Transparent);
        DrawText(154,207,"Heroes Bow",RGB(56,40,56));
        DrawText(156,207,"Heroes Bow",RGB(56,40,56));
        DrawText(154,209,"Heroes Bow",RGB(56,40,56));
        DrawText(156,209,"Heroes Bow",RGB(56,40,56));
        DrawText(155,208,"Heroes Bow",RGB(255,255,255));
      StopDrawing();
    EndIf;
  EndIf;
  If GInfo\lGotBombs=1;
    DisplayTransparentSprite(#sprMenuBomb,202,112);
    If GInfo\lMenuOption=6;
      StartDrawing(ScreenOutput());
        DrawingFont(FontID(0));
        DrawingMode(#PB_2DDrawing_Transparent);
        DrawText(164,207,"Bombs",RGB(56,40,56));
        DrawText(166,207,"Bombs",RGB(56,40,56));
        DrawText(164,209,"Bombs",RGB(56,40,56));
        DrawText(166,209,"Bombs",RGB(56,40,56));
        DrawText(165,208,"Bombs",RGB(255,255,255));
      StopDrawing();
    EndIf;
  EndIf;
EndProcedure;

Procedure DisplayMenuSelector();
  If GInfo\lMenuOption=0;
    DisplayTransparentSprite(#sprMenuSel1,71,87);
  ElseIf GInfo\lMenuOption=1;
    DisplayTransparentSprite(#sprMenuSel2,232,93);
  ElseIf GInfo\lMenuOption=2;
    DisplayTransparentSprite(#sprMenuSel2,263,111);
  ElseIf GInfo\lMenuOption=3;
    DisplayTransparentSprite(#sprMenuSel2,263,146);
  ElseIf GInfo\lMenuOption=4;
    DisplayTransparentSprite(#sprMenuSel2,232,163);
  ElseIf GInfo\lMenuOption=5;
    DisplayTransparentSprite(#sprMenuSel2,201,146);
  ElseIf GInfo\lMenuOption=6;
    DisplayTransparentSprite(#sprMenuSel2,201,111);
  EndIf;
EndProcedure;

Procedure MenuKeyboardInput();
  KeyBoardMenuOpenClose();
  If GInfo\lMenuOpen=1 And GInfo\lMenuTimer=0;;
    KeyBoardMenuSelector();
  EndIf;
EndProcedure;

Procedure KeyBoardMenuOpenClose();
  If KeyboardPushed(#PB_Key_Return); If the eenter key is pushed
    If GInfo\lMenuTimer=0;
      If GInfo\lMenuOpen=0; if its closed
        GInfo\lMenuOpen=1;  open it
      Else;                 if its open
        GInfo\lMenuOpen=0;  close it
      EndIf;
      GInfo\lMenuTimer=10;
    EndIf;
  EndIf;
  
  If GInfo\lMenuTimer<>0; make sure the timer always goes down if its not 0
    GInfo\lMenuTimer-1;
  EndIf;
EndProcedure;

Procedure KeyBoardMenuSelector();
  If KeyboardPushed(#PB_Key_Right); If the right key is pushed
    If GInfo\lMenuOption=0;
      GInfo\lMenuOption=1;
    ElseIf GInfo\lMenuOption=1;
      GInfo\lMenuOption=2;
    ElseIf GInfo\lMenuOption=2;
      GInfo\lMenuOption=0;
    ElseIf GInfo\lMenuOption=3;
      GInfo\lMenuOption=0;
    ElseIf GInfo\lMenuOption=4;
      GInfo\lMenuOption=3;
    ElseIf GInfo\lMenuOption=5;
      GInfo\lMenuOption=4;
    ElseIf GInfo\lMenuOption=6;
      GInfo\lMenuOption=1;
    EndIf;
    GInfo\lMenuTimer=5;
  ElseIf KeyboardPushed(#PB_Key_Left); If the left key is pushed
    If GInfo\lMenuOption=0;
      GInfo\lMenuOption=2;
    ElseIf GInfo\lMenuOption=1;
      GInfo\lMenuOption=6;
    ElseIf GInfo\lMenuOption=2;
      GInfo\lMenuOption=1;
    ElseIf GInfo\lMenuOption=3;
      GInfo\lMenuOption=4;
    ElseIf GInfo\lMenuOption=4;
      GInfo\lMenuOption=5;
    ElseIf GInfo\lMenuOption=5;
      GInfo\lMenuOption=0;
    ElseIf GInfo\lMenuOption=6;
      GInfo\lMenuOption=0;
    EndIf;
    GInfo\lMenuTimer=5;
  ElseIf KeyboardPushed(#PB_Key_Down); If the down key is pushed
    If GInfo\lMenuOption=0;
      ;GInfo\lMenuOption=2;
    ElseIf GInfo\lMenuOption=1;
      GInfo\lMenuOption=4;
    ElseIf GInfo\lMenuOption=2;
      GInfo\lMenuOption=3;
    ElseIf GInfo\lMenuOption=3;
      GInfo\lMenuOption=4;
    ElseIf GInfo\lMenuOption=4;
      GInfo\lMenuOption=1;
    ElseIf GInfo\lMenuOption=5;
      GInfo\lMenuOption=4;
    ElseIf GInfo\lMenuOption=6;
      GInfo\lMenuOption=5;
    EndIf;
    GInfo\lMenuTimer=5;
  ElseIf KeyboardPushed(#PB_Key_Up); If the up key is pushed
    If GInfo\lMenuOption=0;
      ;GInfo\lMenuOption=2;
    ElseIf GInfo\lMenuOption=1;
      GInfo\lMenuOption=4;
    ElseIf GInfo\lMenuOption=2;
      GInfo\lMenuOption=1;
    ElseIf GInfo\lMenuOption=3;
      GInfo\lMenuOption=2;
    ElseIf GInfo\lMenuOption=4;
      GInfo\lMenuOption=1;
    ElseIf GInfo\lMenuOption=5;
      GInfo\lMenuOption=6;
    ElseIf GInfo\lMenuOption=6;
      GInfo\lMenuOption=1;
    EndIf;
    GInfo\lMenuTimer=5;
  ElseIf KeyboardPushed(#PB_Key_Z); If the up key is pushed
    If GInfo\lMenuOption<>0;
      GInfo\lItemSet=GInfo\lMenuOption;
    EndIf;
    GInfo\lMenuTimer=5;
  EndIf;
EndProcedure;
; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 252
; FirstLine = 54
; Folding = A+
; UseMainFile = game.pb
; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 36
; FirstLine = 18
; Folding = --
; UseMainFile = game.pb