
;-------------------------------------------------------------------------------------------------------------
;- Loading Procedures
;-------------------------------------------------------------------------------------------------------------
Procedure LoadPlayerSpritesWalkLeft();
  LoadSprite(#sprPLeft0,"sprites\player\pleft0.png") : TransparentSpriteColor(#sprPLeft0,RGB(255,0,255));
  LoadSprite(#sprPLeft1,"sprites\player\pleft1.png") : TransparentSpriteColor(#sprPLeft1,RGB(255,0,255));
  LoadSprite(#sprPLeft2,"sprites\player\pleft2.png") : TransparentSpriteColor(#sprPLeft2,RGB(255,0,255));
  LoadSprite(#sprPLeft3,"sprites\player\pleft3.png") : TransparentSpriteColor(#sprPLeft3,RGB(255,0,255));
  LoadSprite(#sprPLeft4,"sprites\player\pleft0.png") : TransparentSpriteColor(#sprPLeft4,RGB(255,0,255));
  LoadSprite(#sprPLeft5,"sprites\player\pleft5.png") : TransparentSpriteColor(#sprPLeft5,RGB(255,0,255));
  LoadSprite(#sprPLeft6,"sprites\player\pleft6.png") : TransparentSpriteColor(#sprPLeft6,RGB(255,0,255));
  LoadSprite(#sprPLeft7,"sprites\player\pleft6.png") : TransparentSpriteColor(#sprPLeft7,RGB(255,0,255));
EndProcedure;

Procedure LoadPlayerSpritesWalkRight();
  LoadSprite(#sprPRight0,"sprites\player\pright0.png") : TransparentSpriteColor(#sprPRight0,RGB(255,0,255));
  LoadSprite(#sprPRight1,"sprites\player\pright1.png") : TransparentSpriteColor(#sprPRight1,RGB(255,0,255));
  LoadSprite(#sprPRight2,"sprites\player\pright2.png") : TransparentSpriteColor(#sprPRight2,RGB(255,0,255));
  LoadSprite(#sprPRight3,"sprites\player\pright3.png") : TransparentSpriteColor(#sprPRight3,RGB(255,0,255));
  LoadSprite(#sprPRight4,"sprites\player\pright0.png") : TransparentSpriteColor(#sprPRight4,RGB(255,0,255));
  LoadSprite(#sprPRight5,"sprites\player\pright5.png") : TransparentSpriteColor(#sprPRight5,RGB(255,0,255));
  LoadSprite(#sprPRight6,"sprites\player\pright6.png") : TransparentSpriteColor(#sprPRight6,RGB(255,0,255));
  LoadSprite(#sprPRight7,"sprites\player\pright6.png") : TransparentSpriteColor(#sprPRight7,RGB(255,0,255));
EndProcedure;

Procedure LoadPlayerSpritesWalkUp();
  LoadSprite(#sprPUp0,"sprites\player\pup0.png") : TransparentSpriteColor(#sprPUp0,RGB(255,0,255));
  LoadSprite(#sprPUp1,"sprites\player\pup1.png") : TransparentSpriteColor(#sprPUp1,RGB(255,0,255));
  LoadSprite(#sprPUp2,"sprites\player\pup2.png") : TransparentSpriteColor(#sprPUp2,RGB(255,0,255));
  LoadSprite(#sprPUp3,"sprites\player\pup3.png") : TransparentSpriteColor(#sprPUp3,RGB(255,0,255));
  LoadSprite(#sprPUp4,"sprites\player\pup4.png") : TransparentSpriteColor(#sprPUp4,RGB(255,0,255));
  LoadSprite(#sprPUp5,"sprites\player\pup5.png") : TransparentSpriteColor(#sprPUp5,RGB(255,0,255));
  LoadSprite(#sprPUp6,"sprites\player\pup6.png") : TransparentSpriteColor(#sprPUp6,RGB(255,0,255));
  LoadSprite(#sprPUp7,"sprites\player\pup7.png") : TransparentSpriteColor(#sprPUp7,RGB(255,0,255));
EndProcedure;

Procedure LoadPlayerSpritesWalkDown();
  LoadSprite(#sprPDown0,"sprites\player\pdown0.png") : TransparentSpriteColor(#sprPDown0,RGB(255,0,255));
  LoadSprite(#sprPDown1,"sprites\player\pdown1.png") : TransparentSpriteColor(#sprPDown1,RGB(255,0,255));
  LoadSprite(#sprPDown2,"sprites\player\pdown2.png") : TransparentSpriteColor(#sprPDown2,RGB(255,0,255));
  LoadSprite(#sprPDown3,"sprites\player\pdown3.png") : TransparentSpriteColor(#sprPDown3,RGB(255,0,255));
  LoadSprite(#sprPDown4,"sprites\player\pdown4.png") : TransparentSpriteColor(#sprPDown4,RGB(255,0,255));
  LoadSprite(#sprPDown5,"sprites\player\pdown5.png") : TransparentSpriteColor(#sprPDown5,RGB(255,0,255));
  LoadSprite(#sprPDown6,"sprites\player\pdown6.png") : TransparentSpriteColor(#sprPDown6,RGB(255,0,255));
  LoadSprite(#sprPDown7,"sprites\player\pdown7.png") : TransparentSpriteColor(#sprPDown7,RGB(255,0,255));
EndProcedure;

Procedure LoadPlayerSprites();
  LoadSprite(#sprPMask,"sprites\player\mask.png") : TransparentSpriteColor(#sprPMask,RGB(255,0,255));
  LoadPlayerSpritesWalkLeft();
  LoadPlayerSpritesWalkRight();
  LoadPlayerSpritesWalkUp();
  LoadPlayerSpritesWalkDown();
EndProcedure;


Procedure DisplayPlayerSprites();
  If GInfo\pdir=0; left
    If GInfo\lanim=0;
      DisplayTransparentSprite(#sprPLeft0,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<3;
      DisplayTransparentSprite(#sprPLeft1,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<6
      DisplayTransparentSprite(#sprPLeft2,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<9;
      DisplayTransparentSprite(#sprPLeft3,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<12;
      DisplayTransparentSprite(#sprPLeft4,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<15;
      DisplayTransparentSprite(#sprPLeft5,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<18;
      DisplayTransparentSprite(#sprPLeft6,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<21;
      DisplayTransparentSprite(#sprPLeft7,GInfo\px,GInfo\py-15);
    EndIf;
  ElseIf GInfo\pdir=1;right
    If GInfo\lanim=0;
      DisplayTransparentSprite(#sprPRight0,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<3;
      DisplayTransparentSprite(#sprPRight1,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<6
      DisplayTransparentSprite(#sprPRight2,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<9;
      DisplayTransparentSprite(#sprPRight3,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<12;
      DisplayTransparentSprite(#sprPRight4,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<15;
      DisplayTransparentSprite(#sprPRight5,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<18;
      DisplayTransparentSprite(#sprPRight6,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<21;
      DisplayTransparentSprite(#sprPRight7,GInfo\px,GInfo\py-15);
    EndIf;
  ElseIf GInfo\pdir=2; up
    If GInfo\lanim=0;
      DisplayTransparentSprite(#sprPUp0,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<3;
      DisplayTransparentSprite(#sprPUp1,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<6
      DisplayTransparentSprite(#sprPUp2,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<9;
      DisplayTransparentSprite(#sprPUp3,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<12;
      DisplayTransparentSprite(#sprPUp4,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<15;
      DisplayTransparentSprite(#sprPUp5,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<18;
      DisplayTransparentSprite(#sprPUp6,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<21;
      DisplayTransparentSprite(#sprPUp7,GInfo\px,GInfo\py-15);
    EndIf;
  ElseIf GInfo\pdir=3; down
    If GInfo\lanim=0;
      DisplayTransparentSprite(#sprPDown0,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<3;
      DisplayTransparentSprite(#sprPDown1,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<6
      DisplayTransparentSprite(#sprPDown2,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<9;
      DisplayTransparentSprite(#sprPDown3,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim<12;
      DisplayTransparentSprite(#sprPDown4,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<15;
      DisplayTransparentSprite(#sprPDown5,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<18;
      DisplayTransparentSprite(#sprPDown6,GInfo\px,GInfo\py-15);
    ElseIf GInfo\lanim=<21;
      DisplayTransparentSprite(#sprPDown7,GInfo\px,GInfo\py-15);
    EndIf;
  EndIf;
EndProcedure;


;-------------------------------------------------------------------------------------------------------------
;- Walking Procedures
;-------------------------------------------------------------------------------------------------------------
Procedure PlayerWalking();
  If GInfo\lMenuOpen=0; If the game is not paused
    If KeyboardPushed(#PB_Key_Left); If the left key is pushed
      PlayerWalkLeftHouse();
      GInfo\lanim+1;
    ElseIf KeyboardPushed(#PB_Key_Right); If the left key is pushed
      PlayerWalkRightHouse();
      GInfo\lanim+1;
    ElseIf KeyboardPushed(#PB_Key_Up); If the left key is pushed
      PlayerWalkUpHouse();
      GInfo\lanim+1;
    ElseIf KeyboardPushed(#PB_Key_Down); If the left key is pushed
      PlayerWalkDownHouse();
      GInfo\lanim+1;
    Else;
      GInfo\lanim=0;
    EndIf;
    If GInfo\lanim=21;
      GInfo\lanim=0;
    EndIf;
  EndIf;
EndProcedure;

Procedure PlayerCollisionCheck(x.l,y.l,lx.l,ly.l);
  Protected lCollision.l;
  If CheckObjectCollision(x,y);
    ProcedureReturn 1;
  Else;
    ProcedureReturn SpritePixelCollision(#sprPMask,x,y,#sprLMask,lx,ly);
  EndIf;
EndProcedure;

Procedure PlayerWalkLeftHouse();
  If KeyboardPushed(#PB_Key_Up); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px-2,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px-2;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py-1,GInfo\lx,GInfo\ly)=0;
      GInfo\py-1;
    EndIf;

  ElseIf KeyboardPushed(#PB_Key_Down); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px-2,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px-2;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py+1,GInfo\lx,GInfo\ly)=0;
      GInfo\py+1;
    EndIf;

  Else;
    If PlayerCollisionCheck(GInfo\px-2,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px-2;
    EndIf;

  EndIf;
 GInfo\pdir=0;
EndProcedure;

Procedure PlayerWalkRightHouse();
  If KeyboardPushed(#PB_Key_Up); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px+2,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px+2;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py-1,GInfo\lx,GInfo\ly)=0;
      GInfo\py-1;
    EndIf;

  ElseIf KeyboardPushed(#PB_Key_Down); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px+2,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px+2;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py+1,GInfo\lx,GInfo\ly)=0;
      GInfo\py+1;
    EndIf;

  Else;
    If PlayerCollisionCheck(GInfo\px+2,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px+2;
    EndIf;

  EndIf;
  GInfo\pdir=1;
EndProcedure;

Procedure PlayerWalkUpHouse();
  If KeyboardPushed(#PB_Key_Left); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px-1,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px-1;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py-2,GInfo\lx,GInfo\ly)=0;
      GInfo\py-2;
    EndIf;

  ElseIf KeyboardPushed(#PB_Key_Right); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px+1,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px+1;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py-2,GInfo\lx,GInfo\ly)=0;
      GInfo\py-2;
    EndIf;

  Else;
    If PlayerCollisionCheck(GInfo\px,GInfo\py-2,GInfo\lx,GInfo\ly)=0;
      GInfo\py-2;
    EndIf;

  EndIf;
  GInfo\pdir=2;
EndProcedure;

Procedure PlayerWalkDownHouse();
  If KeyboardPushed(#PB_Key_Left); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px-1,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px-1;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py+2,GInfo\lx,GInfo\ly)=0;
      GInfo\py+2;
    EndIf;
    
  ElseIf KeyboardPushed(#PB_Key_Right); OPTIMIZED WALKING
    If PlayerCollisionCheck(GInfo\px+1,GInfo\py,GInfo\lx,GInfo\ly)=0;
      GInfo\px+1;
    EndIf;
    If PlayerCollisionCheck(GInfo\px,GInfo\py+2,GInfo\lx,GInfo\ly)=0;
      GInfo\py+2;
    EndIf;

  Else;
    If PlayerCollisionCheck(GInfo\px,GInfo\py+2,GInfo\lx,GInfo\ly)=0;
      GInfo\py+2;
    EndIf;

  EndIf;
  GInfo\pdir=3;
EndProcedure;

; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 149
; FirstLine = 6
; Folding = AB-
; UseMainFile = game.pb
; IDE Options = PureBasic v4.02 (Windows - x86)
; CursorPosition = 36
; Folding = AA-
; UseMainFile = game.pb